>> MIB - Management Information Base
>> Table: wlanIfFeatureTable - (.1.3.6.1.4.1.272.4.46.23.1)
Description: This table lists all feature of a wireless card. The supported features depends on the vendor and wireless chipset.
wlanIfFeatureTable
OID | Name | Type | Access
.1 | WlanIf | INTEGER | R
.2 | OperatingBands | BITS | R
.3 | AntennaDiversity | ENUM | R
.4 | TxPowerMin | INTEGER | R
.5 | TxPowerMax | INTEGER | R
.6 | TxPowerFixedStepsList | DisplayString | R
.7 | FrameCompression | ENUM | R
.8 | FrameConcatenation | ENUM | R
.9 | PiggybackAck | ENUM | R
.10 | DirectLink | ENUM | R
.11 | LinkDistance | ENUM | R
.12 | ShortRetries | ENUM | R
.13 | LongRetries | ENUM | R
.14 | FragThreshold | ENUM | R
.15 | CCAMode | ENUM | R
.16 | EdThreshold | ENUM | R
.17 | CWMin | ENUM | R
.18 | CWMax | ENUM | R
.19 | RxLifetime | ENUM | R
.20 | TxLifetime | ENUM | R
.21 | SkipModes | BITS | R
.22 | SupportedModes | BITS | R
.23 | SpatialStreams | INTEGER | R
.24 | BlockAck | BITS | R
.25 | UAPSD | ENUM | R
.26 | Bandwidth | BITS | R
.27 | ShortGI | ENUM | R
.28 | Greenfield | ENUM | R
.29 | Burst | ENUM | R
.30 | MaxVSS | INTEGER | R
.31 | MaxWDS | INTEGER | R
.32 | MaxClient | INTEGER | R
.33 | MaxStations | INTEGER | R
.34 | STBC | BITS | R
.35 | TxAntSel | BITS | R
.36 | RxAntSel | BITS | R
.37 | MaxWBLMaster | INTEGER | R
.38 | MaxWBLSlave | INTEGER | R
.39 | DFS | ENUM | R
.40 | ACSOnBlocker | ENUM | R
.41 | MaxVAP | INTEGER | R
.42 | RateControl | ENUM | R
.43 | RegDomain | ENUM | R
WlanIf
Wireless card interface index the table belongs.
OperatingBands
This variable says which bands the wireless card supports. Default is 2.4 and 5 GHZ. Enumerations: band24 (0) band5 (1) band58 (2)
AntennaDiversity
This variable says which kind of antenna diversity the wireless card supports. Default is none. Enumerations: none (0) rx (1) tx (2) rx-tx (3)
TxPowerMin
The minimal value of the TX power the wireless card supports. Range: 0 to 30
TxPowerMax
The maximal value of the TX power the wireless card supports. Range: 0 to 100
TxPowerFixedStepsList
This variable shows the available TX Power values in dBm seperated by commas. Length: 0 to 255
FrameCompression
This variable says if the wireless card supports frame compression or not. Default is false. Enumerations: true (1) false (2)
FrameConcatenation
This variable says if the wireless card supports frame concatination or not. Default is false. Enumerations: true (1) false (2)
PiggybackAck
This variable says if the wireless card supports piggyback ACKs or not. Default is false. Enumerations: true (1) false (2)
DirectLink
This variable says if the wireless card supports direct links or not. Default is false. Enumerations: true (1) false (2)
LinkDistance
This variable says if the wireless card supports a configurable link distance or not. Default is false. Enumerations: true (1) false (2)
ShortRetries
This variable says if the wireless card supports the configuration of the short retry value or not. Default is false. Enumerations: true (1) false (2)
LongRetries
This variable says if the wireless card supports the configuration of the long retry value or not. Default is false. Enumerations: true (1) false (2)
FragThreshold
This variable says if the wireless card supports the configuration of the fragmentation threshold value or not. Default is false. Enumerations: true (1) false (2)
CCAMode
This variable says if the wireless card supports the configuration of the CCA mode or not. Default is false. Enumerations: true (1) false (2)
EdThreshold
This variable says if the wireless card supports the configuration of the energy detection threshold value or not. Default is false. Enumerations: true (1) false (2)
CWMin
This variable says if the wireless card supports the configuration of the minimal contention window or not. Default is false. Enumerations: true (1) false (2)
CWMax
This variable says if the wireless card supports the configuration of the maximal contention window or not. Default is false. Enumerations: true (1) false (2)
RxLifetime
This variable says if the wireless card supports the configuration of the receive packet lifetime or not. Default is false. Enumerations: true (1) false (2)
TxLifetime
This variable says if the wireless card supports the configuration of the transmit packet lifetime or not. Default is false. Enumerations: true (1) false (2)
SkipModes
This variable says which modes of the WlanIfSkipChannels the wireless card supports. Default is client24ghz. Enumerations: ap24ghz (0) ap5ghz (1) client24ghz (2) client5ghz (3)
SupportedModes
This variable shows the supported 802.11 modes Enumerations: dot11a (0) dot11b (1) dot11g (2) dot11n (3) dot11ac (4) dot11ax (5)
SpatialStreams
This variable shows the maximum number of supported spatial streams Range: 1 to 4
BlockAck
This attribute, shows the supported Block Ack mechanism. (Immediate Block Ack and Delayed Block Ack)
UAPSD
This attribute shows if UAPSD is supported by that radio.
Bandwidth
This attribute reports the bandwidth operation modes, which are supported.
ShortGI
This attribute, when TRUE, indicates that the Short Guard option is implemented. The default value of this attribute is FALSE.
Greenfield
This attribute, when TRUE, indicates that the HT Greenfield option is implemented. The default value of this attribute is FALSE.
Burst
This attribute, when TRUE, indicates that the burst mode is implemented. The default value of this attribute is FALSE.
MaxVSS
This attribute indicates the maximum number of service sets that may be created per radio module. Range: 0 to 40
MaxWDS
This attribute indicates the maximum number of WDS links that may be created per radio module. Range: 0 to 40
MaxClient
This attribute indicates the maximum number of client instances that may be created per radio module. Range: 0 to 10
MaxStations
Maximum number of stations the station database can hold. Range: 0 to 2048
STBC
This attribute indicates that the radio is capable of transmitting or receiving frames using Space-Time Block Code (STBC) option.
TxAntSel
This attribute indicates which antennas are able to transmit. The actually used antennas can be configured using wlanIfTxAntSel.
RxAntSel
This attribute indicates which antennas are able to receive. The actually used antennas can be configured using wlanIfRxAntSel.
MaxWBLMaster
Maximum number of master WLAN bridge links that are supported by the corresponding radio.
MaxWBLSlave
Maximum number of slave WLAN bridge links that are supported by the corresponding radio.
DFS
True, if radio supports channels, which require DFS
ACSOnBlocker
When true, this radio module supports switching to a new channel on presence of a blocking signal.
MaxVAP
Maximum number of virtual interfaces. Virtual interfaces are VSSs, WBL masters/slaves and clients.
RateControl
When true, this radio module allows the customization of the non-HT data rates by mean of the 'wlanVSSRateControl' table.
RegDomain
Regulatory domain used by this radio module

MIB Reference to Software Version 10.2.12 generated on 2023/08/29. Provided by webmaster@bintec-elmeg.com Copyright ©2023 by bintec elmeg GmbH